Bug 133790 - udev breaks console.perms for pilot
udev breaks console.perms for pilot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-09-27 10:23 EDT by Thomas Zehetbauer
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 09:23:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Zehetbauer 2004-09-27 10:23:39 EDT
udev causes /dev/ttyUSB* to be recreated every time one presses the
hotsync button and the Palm appears on the USB.

This means not only that /etc/security/console.perms cannot be applied
to the /dev/pilot symlink on login because /dev/ttyUSB* has been
removed on shutdown but also causes ownership and permissions to be
reset every time someone presses the hotsync button.
Comment 1 Bill Nottingham 2004-09-28 23:19:17 EDT
udev needs to be handling the console.perms stuff on device creation,
not just login.
Comment 2 Harald Hoyer 2004-09-29 04:45:27 EDT
That's not the problem, Bill...

The problem is, that the device seems to reconnect to the USB bus,
causing one REMOVE and one ADD hotplug event.

Which module is this?
Comment 3 Thomas Zehetbauer 2004-09-29 05:49:13 EDT
The device is a Palm Zire 71, the driver is CONFIG_USB_SERIAL_VISOR.
Comment 4 Harald Hoyer 2004-09-29 06:06:00 EDT
do you really have the problem with the permissions, btw?
if yes, which version of udev?
Comment 5 Thomas Zehetbauer 2004-09-29 19:02:52 EDT
It breaks the way this used to work: have a symlink from /dev/pilot to
/dev/ttyUSB1 and /dev/pilot listed in /etc/security/console.perms

It works now that I have created a /etc/udev/rules.d/10-local.rules
with KERNEL="ttyUSB1",SYMLINK="pilot"

The alternative would be to change /etc/console.perms to list
/dev/ttyUSB1 instead of /dev/pilot
Comment 6 Greg Kroah-Hartman 2004-09-29 19:15:28 EDT
Yes, the hardware causes that device to disconnect and reconnect every
time, you can't do anything about that, unfortunatly :(

And, as I just pointed out on linux-hotplug-devel, /dev/pilot
shouldn't always point to /dev/ttyUSB1, it all depends on the type of
device
you currently have (some Sony Clie devices use /dev/ttyUSB0 to sync
off of...)
Comment 7 Thomas Zehetbauer 2004-09-29 19:24:27 EDT
This is why it is (was) recommended practice to use a symlink.
Comment 8 Harald Hoyer 2004-09-30 06:41:14 EDT
Quick solution:
# ln -s ttyUSB1 /etc/udev/devices/pilot
as of >= udev-032-5 this should get copied to the real dev on every reboot

Note You need to log in before you can comment on or make changes to this bug.